Index: sansguiframe/src/sans/guiframe/gui_manager.py
===================================================================
--- sansguiframe/src/sans/guiframe/gui_manager.py	(revision d9c5777a4e2e38b105dea45a790cbc1d3a38bde1)
+++ sansguiframe/src/sans/guiframe/gui_manager.py	(revision 37c36d94cc55386e14aa6f6ddc66e079ce2494bf)
@@ -2351,4 +2351,44 @@
             self.cpanel_on_focus.on_reset(event)
             
+    def on_change_caption(self, name, old_caption, new_caption):     
+        """
+        Change the panel caption
+        
+        :param name: window_name of the pane
+        :param old_caption: current caption [string]
+        :param new_caption: new caption [string]
+        """
+        # wx.aui.AuiPaneInfo
+        pane_info = self.get_paneinfo(name) 
+        # New Caption
+        pane_info.Caption(new_caption)
+        # update the data_panel.cb_plotpanel
+        if 'data_panel' in self.panels.keys():
+            # remove from data_panel combobox
+            data_panel = self.panels["data_panel"]
+            if data_panel.cb_plotpanel is not None:
+                pos = data_panel.cb_plotpanel.FindString(str(old_caption)) 
+                if pos != wx.NOT_FOUND:
+                    data_panel.cb_plotpanel.SetString(pos, new_caption)
+                    data_panel.cb_plotpanel.SetStringSelection(new_caption)
+        # update window Show menu
+        if self._window_menu != None:
+            for item in self._window_menu.GetMenuItems():
+                pos = self._window_menu.FindItem(old_caption)
+                if self._window_menu.GetLabel(pos) == str(old_caption):
+                    self._window_menu.SetLabel(pos, new_caption)
+                break
+        # update aui manager
+        self._mgr.Update()
+        
+    def get_paneinfo(self, name):
+        """
+        Get pane Caption from window_name
+        
+        :param name: window_name in AuiPaneInfo
+        : return: AuiPaneInfo of the name
+        """
+        return self._mgr.GetPane(name) 
+    
     def enable_undo(self):
         """
@@ -2507,5 +2547,4 @@
             except:
                 pass
-        #print self.callback,self.schedule,self.schedule_full_draw_list
         
         # Draw all panels        
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision dc51a7f7dfa7449e8fab71712db137dbe0a07d89)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 37c36d94cc55386e14aa6f6ddc66e079ce2494bf)
@@ -50,5 +50,5 @@
     window_name = "plotpanel"
     ## Title to appear on top of the window
-    window_caption = "Plot Panel"
+    window_caption = "Graph"
     ## Flag to tell the GUI manager that this panel is not
     #  tied to any perspective
@@ -458,5 +458,5 @@
         self._slicerpop.AppendSeparator()
         id = wx.NewId()
-        self._slicerpop.Append(id, '&Reset Graph')
+        self._slicerpop.Append(id, '&Reset Range')
         wx.EVT_MENU(self, id, self.onResetGraph)  
         try:
@@ -466,5 +466,10 @@
             pos_x, pos_y = self.toolbar.GetPositionTuple()
             pos = (pos_x, pos_y + 5)
-
+            
+        self._slicerpop.AppendSeparator()
+        id = wx.NewId()
+        self._slicerpop.Append(id, '&Window Title')
+        wx.EVT_MENU(self, id, self.onChangeCaption)
+        
         self.PopupMenu(self._slicerpop, pos)
         
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter2D.py	(revision dc51a7f7dfa7449e8fab71712db137dbe0a07d89)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 37c36d94cc55386e14aa6f6ddc66e079ce2494bf)
@@ -390,4 +390,11 @@
             pos = (pos_x, pos_y + 5)
         self.PopupMenu(slicerpop, pos)
+        
+        slicerpop.AppendSeparator()
+        id = wx.NewId()
+        slicerpop.Append(id, '&Window Title')
+        wx.EVT_MENU(self, id, self.onChangeCaption)
+        
+        self.PopupMenu(self._slicerpop, pos)
             
     def onEditLabels(self, event):
